# FACT Buildings Footprint and Height
ML detected building footprints and height open database. Bing Maps open building footprints. with partial global coverage, only US and Europe included here. https://github.com/microsoft/GlobalMLBuildingFootprints

---
## Use
Connect to the GitLab container registry with privileges for the FACT group:


>docker login -u FACT_token -p glpat-1zG-TQx___xLsPjj2vsG registry.git.nilu.no


Run this data service:

>docker run -t -i --name fact_bldgs -e MARIADB_DATABASE=FACT_bldgs -e MYSQL_ROOT_PASSWORD=devops -p 3315:3306 -d registry.git.nilu.no/fact/data/fact_bldgs:0.1

The container makes available a MariaDB instance with the full database on airports and traffic **FACT_bldgs**. It is reachable on port 3315 of the localhost and the root password is 'devops'.

---
## Specifications
```
Table           |Size (MB)|Rows (#) |
----------------+---------+---------+
footprints      | 91081.03|341191944|
geometry_columns|     0.02|        0|
spatial_ref_sys |     0.02|        0|
```

![tables schema](FACT_bldgs.png "Tables")

Properties in footprints contain a dictionary with height (-1 if missing) and confidence, example:
>{ "height": -1.0, "confidence": -1.0 }

**All spatial objects are converted to EPSG:4326.**

---
## Notes
The code downloads files for European countries and US, transforms them into geojson with right CRS, and then loads them into a DB.

Not used here:
https://sites.research.google/open-buildings/

---
### Authors
Riccardo Boero - ribo@nilu.no

### License
